# $Revision: 1.85 $, $Date: 2012/05/28 17:31:30 $
# TODO: use system liblinebreak?
#
# Conditional build:
%bcond_without	mmx		# MMX and MMX2 support (on x86)
%bcond_without	sse		# SSE support (on x86)
%bcond_without	altivec		# altivec support (on PPC)
%bcond_without	fb		# FB engine
%bcond_without	directfb	# DirectFB engine
%bcond_without	sdl		# SDL (OpenGL and software) engines
%bcond_without	wayland		# wayland-egl, wayland-shm engines
%bcond_without	xcb		# XCB engines (software_8_x11, possibly software_x11/gl_x11)
%bcond_with	xcb_api		# software_x11/gl_x11 engines with XCB support (experimental)
%bcond_without	static_libs	# don't build static library
#
%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_mmx
%endif
%ifnarch i686 pentium3 pentium4 athlon %{x8664}
%undefine	with_sse
%endif
%ifnarch ppc
%undefine	with_altivec
%endif
%if %{without xcb}
%undefine	xcb_api
%endif
%if %{with xcb_api}
%define		xapi	xcb
%else
%define		xapi	xlib
%endif
#
%define		edb_ver		1.0.5.043
%define		eet_ver 	1.6.0

Summary:	Multi-platform Canvas Library
Summary(pl.UTF-8):	Wieloplatformowa biblioteka do rysowania
Name:		evas
Version:	1.2.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	a245e432695cea1120d43cdbcb94b7f7
Patch0:		%{name}-harfbuzz.patch
Patch1:		%{name}-wayland.patch
URL:		http://trac.enlightenment.org/e/wiki/Evas
%{?with_directfb:BuildRequires:	DirectFB-devel >= 0.9.16}
BuildRequires:	Mesa-libGLU-devel
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.0}
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1.6
BuildRequires:	edb-devel >= %{edb_ver}
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	eina-devel >= 1.2.0
BuildRequires:	fontconfig-devel >= 2.5.0
BuildRequires:	freetype-devel >= 1:2.2
BuildRequires:	fribidi-devel >= 0.19.2
BuildRequires:	giflib-devel
BuildRequires:	harfbuzz-devel >= 0.6.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	librsvg-devel >= 1:2.14.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	xorg-lib-libXext-devel
%if %{with xcb}
BuildRequires:	libxcb-devel
BuildRequires:	xcb-util-image-devel >= 0.2.1
%endif
%if %{with wayland}
BuildRequires:	OpenGL-devel
BuildRequires:	Mesa-libEGL-devel >= 7.10
BuildRequires:	Mesa-libGLES-devel
BuildRequires:	Mesa-libwayland-egl-devel
BuildRequires:	wayland-devel
%endif
Requires:	eet >= %{eet_ver}
Requires:	eina >= 1.2.0
Requires:	freetype >= 1:2.2
Requires:	fribidi >= 0.19.2
Requires:	harfbuzz >= 0.6.0
Obsoletes:	evas-libs
Obsoletes:	evas-engine-software_qtopia
Obsoletes:	evas-engine-xrender_x11
Obsoletes:	evas-engine-xrender_xcb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

%description -l pl.UTF-8
Evas to czyste API "płótna obrazu" dla różnych systemów wyświetlania,
będące w stanie rysować tekst z antyaliasingiem, wygładzane, skalowane
obrazy, obiekty z alpha-blendingiem i inne elementy.

%package devel
Summary:	Evas header files
Summary(pl.UTF-8):	Pliki nagłówkowe Evas
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	eet-devel >= %{eet_ver}
Requires:	eina-devel >= 1.2.0
Requires:	fontconfig-devel >= 2.5.0
Requires:	freetype-devel >= 1:2.2
Requires:	fribidi-devel >= 0.19.2
Requires:	harfbuzz-devel >= 0.6.0
Provides:	%{name}-devel(%{xapi}) = %{version}-%{release}

%description devel
Header files for Evas.

%description devel -l pl.UTF-8
Pliki nagłówkowe Evas.

%package static
Summary:	Static Evas library
Summary(pl.UTF-8):	Statyczna biblioteka Evas
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Evas library.

%description static -l pl.UTF-8
Statyczna biblioteka Evas.

##### MODULES #####
# engines:
%package engine-buffer
Summary:	Buffer rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego do bufora dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}

%description engine-buffer
Memory Buffer rendering engine module for Evas.

%description engine-buffer -l pl.UTF-8
Moduł silnika renderującego do bufora dla Evas.

%package engine-directfb
Summary:	DirectFB rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego na DirectFB dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB >= 0.9.16

%description engine-directfb
DirectFB rendering engine module for Evas.

%description engine-directfb -l pl.UTF-8
Moduł silnika renderującego na DirectFB dla Evas.

%package engine-fb
Summary:	Framebuffer rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego na framebuffer dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}

%description engine-fb
Framebuffer rendering engine module for Evas.

%description engine-fb -l pl.UTF-8
Moduł silnika renderującego na framebuffer dla Evas.

%package engine-gl_sdl
Summary:	SDL OpenGL rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego na SDL OpenGL dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}
Requires:	SDL >= 1.2.0

%description engine-gl_sdl
SDL OpenGL rendering engine module for Evas.

%description engine-gl_sdl -l pl.UTF-8
Moduł silnika renderującego na SDL OpenGL dla Evas.

%package engine-gl_x11
Summary:	OpenGL under X11 rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego na OpenGL pod X11 dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}
Provides:	%{name}-engine-gl_x11(%{xapi}) = %{version}-%{release}

%description engine-gl_x11
OpenGL under X11 rendering engine module for Evas.

%description engine-gl_x11 -l pl.UTF-8
Moduł silnika renderującego na OpenGL pod X11 dla Evas.

%package engine-software_8
Summary:	8-bit software rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika programowego renderującego 8-bitowego dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}

%description engine-software_8
8-bit software rendering engine module for Evas.

%description engine-software_8 -l pl.UTF-8
Moduł silnika programowego renderującego 8-bitowego dla Evas.

%package engine-software_8_x11
Summary:	8-bit X11 software rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika programowego renderującego 8-bitowego na X11 dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_8 = %{version}-%{release}

%description engine-software_8_x11
8-bit X11 (XCB) software rendering engine module for Evas.

%description engine-software_8_x11 -l pl.UTF-8
Moduł silnika programowego renderującego 8-bitowego na X11 (XCB) dla
Evas.

%package engine-software_16
Summary:	16-bit software rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika programowego renderującego 16-bitowego dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}

%description engine-software_16
16-bit software rendering engine module for Evas.

%description engine-software_16 -l pl.UTF-8
Moduł silnika programowego renderującego 16-bitowego dla Evas.

%package engine-software_16_sdl
Summary:	16-bit SDL software rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika programowego renderującego 16-bitowego na SDL dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_16 = %{version}-%{release}
Requires:	SDL >= 1.2.0
Obsoletes:	evas-engine-software_sdl

%description engine-software_16_sdl
16-bit SDL software rendering engine module for Evas.

%description engine-software_16_sdl -l pl.UTF-8
Moduł silnika programowego renderującego 16-bitowego na SDL dla Evas.

%package engine-software_16_x11
Summary:	16-bit X11 software rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika programowego renderującego 16-bitowego na X11 dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_16 = %{version}-%{release}

%description engine-software_16_x11
16-bit X11 (Xlib) software rendering engine module for Evas.

%description engine-software_16_x11 -l pl.UTF-8
Moduł silnika programowego renderującego 16-bitowego na X11 (Xlib) dla
Evas.

%package engine-software_generic
Summary:		Software rendering common engine module for Evas
Summary(pl.UTF-8):	Moduł wspólnego programowego silnika renderującego dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description engine-software_generic
Software rendering common engine module for Evas.

%description engine-software_generic -l pl.UTF-8
Moduł wspólnego programowego silnika renderującego dla Evas.

%package engine-software_x11
Summary:	Software X11 rendering engine module for Evas
Summary(pl.UTF-8):	Moduł programowego silnika renderującego X11 dla Evas
Group:		X11/Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}
Obsoletes:	evas-engine-software_xcb

%description engine-software_x11
Software X11 rendering engine module for Evas.

%description engine-software_x11 -l pl.UTF-8
Moduł programowego silnika renderującego X11 dla Evas.

%package engine-wayland_egl
Summary:	Wayland EGL rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego Wayland EGL dla Evas
Group:		Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}

%description engine-wayland_egl
Wayland EGL rendering engine module for Evas.

%description engine-wayland_egl -l pl.UTF-8
Moduł silnika renderującego Wayland EGL dla Evas.

%package engine-wayland_shm
Summary:	Wayland SHM rendering engine module for Evas
Summary(pl.UTF-8):	Moduł silnika renderującego Wayland SHM dla Evas
Group:		Libraries
Requires:	%{name}-engine-software_generic = %{version}-%{release}

%description engine-wayland_shm
Wayland SHM rendering engine module for Evas.

%description engine-wayland_shm -l pl.UTF-8
Moduł silnika renderującego Wayland SHM dla Evas.

# loaders:
%package loader-edb
Summary:	EDB Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów EDB dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-edb
EDB Image loader module for Evas.

%description loader-edb -l pl.UTF-8
Moduł wczytywania obrazów EDB dla Evas.

%package loader-eet
Summary:	EET Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów EET dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-eet
EET Image loader module for Evas.

%description loader-eet -l pl.UTF-8
Moduł wczytywania obrazów EET dla Evas.

%package loader-gif
Summary:	GIF Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów GIF dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-gif
GIF Image loader module for Evas.

%description loader-gif -l pl.UTF-8
Moduł wczytywania obrazów GIF dla Evas.

%package loader-jpeg
Summary:	JPEG Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów JPEG dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-jpeg
JPEG Image loader module for Evas.

%description loader-jpeg -l pl.UTF-8
Moduł wczytywania obrazów JPEG dla Evas.

%package loader-pmaps
Summary:	PMAPS Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów PMAPS dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-pmaps
PMAPS Image loader module for Evas.

%description loader-pmaps -l pl.UTF-8
Moduł wczytywania obrazów PMAPS dla Evas.

%package loader-png
Summary:	PNG Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów PNG dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-png
PNG Image loader module for Evas.

%description loader-png -l pl.UTF-8
Moduł wczytywania obrazów PNG dla Evas.

%package loader-svg
Summary:	SVG Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów SVG dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librsvg >= 1:2.14.0

%description loader-svg
SVG Image loader module for Evas.

%description loader-svg -l pl.UTF-8
Moduł wczytywania obrazów SVG dla Evas.

%package loader-tiff
Summary:	TIFF Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów TIFF dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-tiff
TIFF Image loader module for Evas.

%description loader-tiff -l pl.UTF-8
Moduł wczytywania obrazów TIFF dla Evas.

%package loader-xpm
Summary:	XPM Image loader module for Evas
Summary(pl.UTF-8):	Moduł wczytywania obrazów XPM dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description loader-xpm
XPM Image loader module for Evas.

%description loader-xpm -l pl.UTF-8
Moduł wczytywania obrazów XPM dla Evas.

# savers:
%package saver-edb
Summary:	EDB Image saver module for Evas
Summary(pl.UTF-8):	Moduł zapisywania obrazów EDB dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description saver-edb
EDB Image saver module for Evas.

%description saver-edb -l pl.UTF-8
Moduł zapisywania obrazów EDB dla Evas.

%package saver-eet
Summary:	EET Image saver module for Evas
Summary(pl.UTF-8):	Moduł zapisywania obrazów EET dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description saver-eet
EET Image saver module for Evas.

%description saver-eet -l pl.UTF-8
Moduł zapisywania obrazów EET dla Evas.

%package saver-jpeg
Summary:	JPEG Image saver module for Evas
Summary(pl.UTF-8):	Moduł zapisywania obrazów JPEG dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description saver-jpeg
JPEG Image saver module for Evas.

%description saver-jpeg -l pl.UTF-8
Moduł zapisywania obrazów JPEG dla Evas.

%package saver-png
Summary:	PNG Image saver module for Evas
Summary(pl.UTF-8):	Moduł zapisywania obrazów PNG dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description saver-png
PNG Image saver module for Evas.

%description saver-png -l pl.UTF-8
Moduł zapisywania obrazów PNG dla Evas.

%package saver-tiff
Summary:	TIFF Image saver module for Evas
Summary(pl.UTF-8):	Moduł zapisywania obrazów TIFF dla Evas
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description saver-tiff
TIFF Image saver module for Evas.

%description saver-tiff -l pl.UTF-8
Moduł zapisywania obrazów TIFF dla Evas.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules	\
	%{!?with_static_libs:--disable-static} \
	--enable-buffer \
	--enable-cpu-altivec%{!?with_altivec:=no} \
	--enable-cpu-c \
	--enable-cpu-mmx%{!?with_mmx:=no} \
	--enable-cpu-sse%{!?with_sse:=no} \
	--enable-directfb%{!?with_directfb:=no} \
	--enable-fb%{!?with_fb:=no} \
	--enable-font-loader-eet	\
	--enable-gl-sdl%{!?with_sdl:=no} \
	--enable-gl-xcb%{!?with_xcb_api:=no} \
	--enable-gl-xlib \
	--enable-image-loader-edb	\
	--enable-image-loader-eet	\
	--enable-image-loader-gif	\
	--enable-image-loader-jpeg	\
	--enable-image-loader-png	\
	--enable-image-loader-svg	\
	--enable-image-loader-tiff	\
	--enable-image-loader-xpm	\
	--enable-pixman			\
	--enable-software-8-x11%{!?with_xcb:=no} \
	--enable-software-16-sdl%{!?with_sdl:=no} \
	--enable-software-16-x11 \
	--enable-software-xcb%{!?with_xcb_api:=no} \
	--enable-software-xlib \
	--enable-wayland-egl%{!?with_wayland:=no} \
	--enable-wayland-shm%{!?with_wayland:=no} \
	--disable-valgrind

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*/*/*/module.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/engines/software_16_sdl/linux-gnu-*/module.a

install -d $RPM_BUILD_ROOT%{_examplesdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/evas/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/evas_cserve
%attr(755,root,root) %{_bindir}/evas_cserve_tool
%attr(755,root,root) %{_libdir}/libevas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevas.so.1
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}/modules/engines
%dir %{_libdir}/%{name}/modules/loaders
%dir %{_libdir}/%{name}/modules/savers
# loaders without additional dependencies
%dir %{_libdir}/%{name}/modules/loaders/bmp
%dir %{_libdir}/%{name}/modules/loaders/bmp/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/bmp/linux-gnu-*/module.so
%dir %{_libdir}/%{name}/modules/loaders/generic
%dir %{_libdir}/%{name}/modules/loaders/generic/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/generic/linux-gnu-*/module.so
%dir %{_libdir}/%{name}/modules/loaders/ico
%dir %{_libdir}/%{name}/modules/loaders/ico/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/ico/linux-gnu-*/module.so
%dir %{_libdir}/%{name}/modules/loaders/psd
%dir %{_libdir}/%{name}/modules/loaders/psd/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/psd/linux-gnu-*/module.so
%dir %{_libdir}/%{name}/modules/loaders/tga
%dir %{_libdir}/%{name}/modules/loaders/tga/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/tga/linux-gnu-*/module.so
%dir %{_libdir}/%{name}/modules/loaders/wbmp
%dir %{_libdir}/%{name}/modules/loaders/wbmp/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/wbmp/linux-gnu-*/module.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevas.so
%{_libdir}/libevas.la
%{_includedir}/evas-1
%{_pkgconfigdir}/evas.pc
# engine private structures
%{?with_directfb:%{_pkgconfigdir}/evas-directfb.pc}
%{_pkgconfigdir}/evas-fb.pc
%{?with_sdl:%{_pkgconfigdir}/evas-opengl-sdl.pc}
%{_pkgconfigdir}/evas-opengl-x11.pc
%{?with_xcb:%{_pkgconfigdir}/evas-software-8-x11.pc}
%{_pkgconfigdir}/evas-software-16-x11.pc
%{_pkgconfigdir}/evas-software-buffer.pc
%{?with_sdl:%{_pkgconfigdir}/evas-software-sdl.pc}
%{_pkgconfigdir}/evas-software-x11.pc
%if %{with wayland}
%{_pkgconfigdir}/evas-wayland-egl.pc
%{_pkgconfigdir}/evas-wayland-shm.pc
%endif
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libevas.a
%endif

%files engine-buffer
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/buffer
%dir %{_libdir}/%{name}/modules/engines/buffer/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/buffer/linux-gnu-*/module.so

%if %{with directfb}
%files engine-directfb
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/directfb
%dir %{_libdir}/%{name}/modules/engines/directfb/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/directfb/linux-gnu-*/module.so
%endif

%if %{with fb}
%files engine-fb
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/fb
%dir %{_libdir}/%{name}/modules/engines/fb/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/fb/linux-gnu-*/module.so
%endif

%if %{with sdl}
%files engine-gl_sdl
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/gl_sdl
%dir %{_libdir}/%{name}/modules/engines/gl_sdl/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/gl_sdl/linux-gnu-*/module.so
%endif

%files engine-gl_x11
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/gl_x11
%dir %{_libdir}/%{name}/modules/engines/gl_x11/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/gl_x11/linux-gnu-*/module.so

%if %{with xcb}
%files engine-software_8
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_8
%dir %{_libdir}/%{name}/modules/engines/software_8/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_8/linux-gnu-*/module.so

%files engine-software_8_x11
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_8_x11
%dir %{_libdir}/%{name}/modules/engines/software_8_x11/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_8_x11/linux-gnu-*/module.so
%endif

%files engine-software_16
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_16
%dir %{_libdir}/%{name}/modules/engines/software_16/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_16/linux-gnu-*/module.so

%files engine-software_16_x11
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_16_x11
%dir %{_libdir}/%{name}/modules/engines/software_16_x11/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_16_x11/linux-gnu-*/module.so

%if %{with sdl}
%files engine-software_16_sdl
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_16_sdl
%dir %{_libdir}/%{name}/modules/engines/software_16_sdl/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_16_sdl/linux-gnu-*/module.so
%endif

%files engine-software_generic
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_generic
%dir %{_libdir}/%{name}/modules/engines/software_generic/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_generic/linux-gnu-*/module.so

%files engine-software_x11
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/software_x11
%dir %{_libdir}/%{name}/modules/engines/software_x11/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/software_x11/linux-gnu-*/module.so

%if %{with wayland}
%files engine-wayland_egl
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/wayland_egl
%dir %{_libdir}/%{name}/modules/engines/wayland_egl/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/wayland_egl/linux-gnu-*/module.so

%files engine-wayland_shm
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/engines/wayland_shm
%dir %{_libdir}/%{name}/modules/engines/wayland_shm/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/engines/wayland_shm/linux-gnu-*/module.so

%files loader-edb
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/edb
%dir %{_libdir}/%{name}/modules/loaders/edb/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/edb/linux-gnu-*/module.so

%files loader-eet
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/eet
%dir %{_libdir}/%{name}/modules/loaders/eet/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/eet/linux-gnu-*/module.so

%files loader-gif
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/gif
%dir %{_libdir}/%{name}/modules/loaders/gif/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/gif/linux-gnu-*/module.so

%files loader-jpeg
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/jpeg
%dir %{_libdir}/%{name}/modules/loaders/jpeg/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/jpeg/linux-gnu-*/module.so

%files loader-pmaps
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/pmaps
%dir %{_libdir}/%{name}/modules/loaders/pmaps/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/pmaps/linux-gnu-*/module.so

%files loader-png
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/png
%dir %{_libdir}/%{name}/modules/loaders/png/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/png/linux-gnu-*/module.so

%files loader-svg
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/svg
%dir %{_libdir}/%{name}/modules/loaders/svg/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/svg/linux-gnu-*/module.so

%files loader-tiff
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/tiff
%dir %{_libdir}/%{name}/modules/loaders/tiff/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/tiff/linux-gnu-*/module.so

%files loader-xpm
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/loaders/xpm
%dir %{_libdir}/%{name}/modules/loaders/xpm/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/loaders/xpm/linux-gnu-*/module.so

%files saver-edb
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/savers/edb
%dir %{_libdir}/%{name}/modules/savers/edb/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/savers/edb/linux-gnu-*/module.so

%files saver-eet
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/savers/eet
%dir %{_libdir}/%{name}/modules/savers/eet/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/savers/eet/linux-gnu-*/module.so

%files saver-jpeg
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/savers/jpeg
%dir %{_libdir}/%{name}/modules/savers/jpeg/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/savers/jpeg/linux-gnu-*/module.so

%files saver-png
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/savers/png
%dir %{_libdir}/%{name}/modules/savers/png/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/savers/png/linux-gnu-*/module.so

%files saver-tiff
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/modules/savers/tiff
%dir %{_libdir}/%{name}/modules/savers/tiff/linux-gnu-*
%attr(755,root,root) %{_libdir}/%{name}/modules/savers/tiff/linux-gnu-*/module.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: evas.spec,v $
Revision 1.85  2012/05/28 17:31:30  qboosh
- split xcb_api bcond from xcb (the latter is on by default, just controls xcb deps use)
- build software_8_x11 engine whenever xcb is allowed, but use XCB for gl_x11/software_x11
  only if xcb_api is chosen
- tag gl_x11/software_x11 engines and -devel package with xapi version (xcb/xlib)

Revision 1.84  2012/05/28 16:49:35  qboosh
- added 8-bit engines
- completed inter-module dependencies

Revision 1.83  2012/05/27 19:18:11  qboosh
- liblinebreak is included (maybe use system one?)

Revision 1.82  2012/05/27 18:07:10  qboosh
- updated to 1.2.0
- removed obsolete automake patch
- added wayland patch to fix wayland_egl engine build
- software_sdl engine has been dropped (Obsoletes added to software_16_sdl)
- reintroduced software_16 engine
- added software_16_x11, wayland_egl, wayland_shm engines

Revision 1.81  2012/02/11 10:57:31  adamg
- release 6 (rebuild against libpng-1.5)

Revision 1.80  2012/02/07 21:59:53  arekm
- release 5

Revision 1.79  2012/01/21 19:40:23  zbyniu
- release 4

Revision 1.78  2012/01/21 19:35:53  zbyniu
- patch for new automake
- xcb bcond switched (doesn't work), must be consistent with ecore.spec bcond
- rel 3

Revision 1.77  2012/01/13 14:48:26  arekm
- release 2

Revision 1.76  2011/12/11 15:19:48  qboosh
- require eet 1.5.0

Revision 1.75  2011/12/11 14:14:29  qboosh
- updated to 1.1.0
- added harfbuzz patch (adjusts hb API usage)
- software_16 (x11), software_qtopia and xrender_x11 engines are gone

Revision 1.74  2011/05/31 19:51:26  qboosh
- updated to 1.0.1
- adjusted xcb-util BR wrt. 0.3.8 split

Revision 1.73  2011/02/26 07:49:29  arekm
- release 3

Revision 1.72  2011/02/02 16:53:53  qboosh
- updated URL

Revision 1.71  2011/02/01 17:25:49  qboosh
- package ChangeLog
- bumped eet version to 1.4.0

Revision 1.70  2011/01/31 17:59:35  lisu
- rel 2

Revision 1.69  2011/01/31 13:39:55  lisu
- 1.0.0 is now stable

Revision 1.68  2010/12/04 17:47:33  qboosh
- updated to 1.0.0.beta3
- sdl and xcb enabled by default; updated engine subpackages

Revision 1.67  2010/11/20 09:59:43  qboosh
- cleanup

Revision 1.66  2010/11/20 09:44:39  qboosh
- glitz is obsolete
- fribidi deps
- License is BSD

Revision 1.65  2010/11/20 06:43:02  qboosh
- cleanup, fixed doc files
- package bmp and tga loader modules

Revision 1.64  2010/11/16 17:01:42  witekfl
- 1.0.0.beta2

Revision 1.63  2010/08/06 13:46:21  witekfl
- LATEST snapshot

Revision 1.62  2010/08/04 20:56:12  witekfl
- up to the snapshot 0.9.9.49898

Revision 1.61  2008/10/10 17:13:18  qboosh
- fixed encoding

Revision 1.60  2008/10/10 17:11:45  qboosh
- simplified setup

Revision 1.59  2008/10/09 18:00:25  pablo
- updated
- using "official" snapshots

Revision 1.58  2008/09/05 23:37:33  mguevara
- rel .2; added Evas_Data.h do devel

Revision 1.57  2008/08/25 16:41:49  pablo
- updated to 20080813 snap

Revision 1.56  2008/08/12 22:35:17  cactus
- disable xrender_xcb because of incompatible with latest xcb-util - waiting for patch thx to : Paweł Chmiel golecpch//interia\pl
- updated TODO

Revision 1.55  2008/06/03 18:12:07  qboosh
- ghost soname symlink
- updated am BR

Revision 1.54  2008-06-02 20:04:31  cactus
- directfb removed in upstream
- bcond without fb
- bcond with soft_xcb still blocked by xcb-util (works with latest git)
- updated TODO
- rel 0.8

Revision 1.53  2008-06-01 22:03:52  cactus
- rel 0.7

Revision 1.52  2008-06-01 21:48:34  cactus
- updated TODO

Revision 1.51  2008-06-01 21:41:56  cactus
- bcond with fb
- bcond with directfb

Revision 1.50  2008-06-01 14:28:39  cactus
- up to 0.9.9.043
- new subpackage loader-pmap
- errors when build with software_xcb

Revision 1.49  2008-05-31 20:44:14  cactus
- more flexible to update

Revision 1.48  2007-11-08 21:43:30  twittner
- BR: glitz-devel

Revision 1.47  2007-09-09 11:48:38  qboosh
- updated URL

Revision 1.46  2007/09/09 11:03:09  qboosh
- oops, eet version differs

Revision 1.45  2007/09/09 08:56:34  qboosh
- libs preamble cleanup
- let's require eet from the same e release

Revision 1.44  2007/09/09 08:54:07  qboosh
- updated to 0.9.9.038
- added glitz_x11,software_xcb,xrender_xcb engines
- revised deps

Revision 1.43  2007/03/18 13:28:25  megabajt
- release 3 to rebuild with DirectFB 1.0.0

Revision 1.42  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.40  2006/12/23 18:07:15  arekm
- rel 2

Revision 1.39  2006/12/01 12:12:29  qboosh
- freetype epoch

Revision 1.38  2006/12/01 03:46:26  sparky
- freetype 2.2 required

Revision 1.37  2006/12/01 00:04:25  sparky
- O: evas-libs, it was in th

Revision 1.36  2006/11/30 23:47:40  sparky
- rm -f .a (there will be no .a files when build without static_libs)

Revision 1.35  2006/11/30 23:46:40  sparky
- up to 0.9.9.036; test progs removed from sources
- no more need for -libs subpackage
- added svg and xpm loaders
- remove .a and .la of dlopened libs
- auto* to force use of correct libtool

Revision 1.34  2006/10/08 13:17:46  qboosh
- fixed BR (s/libgif/giflib/)

Revision 1.33  2006/09/27 13:18:23  spider
- pointed in pld forum

Revision 1.32  2006/09/10 19:07:43  sparky
- up to 0.9.9.032

Revision 1.31  2006/07/20 19:06:28  qboosh
- pl for module packages

Revision 1.30  2006/07/20 14:04:50  sparky
- fix R: engine-software_generic

Revision 1.29  2006/07/20 04:01:02  sparky
- updated to 0.9.9.031
- all modules splitted (NFY)

Revision 1.28  2006/07/10 15:55:16  sparky
- up to 0.9.9.030

Revision 1.27  2006/07/06 02:05:11  sparky
- up to 0.9.9.029

Revision 1.26  2006/06/27 00:13:33  sparky
- 0.9.9.028

Revision 1.25  2006/06/19 17:20:07  sparky
- up to 0.9.9.027

Revision 1.24  2006/03/31 14:55:43  sparky
- up to 0.9.9.026

Revision 1.23  2006/03/17 19:38:54  sparky
- up to 0.9.9.025

Revision 1.22  2006/03/12 16:45:51  sparky
- cleanups

Revision 1.21  2006/03/12 16:43:20  sparky
- up to 0.9.9.024
- all engines loaders and savers are now in dlopened libraries (should separate
  x11, gl, and directfb modules at last)

Revision 1.20  2006/01/23 17:59:35  sparky
- bcond -devel R: DirectFB-devel too

Revision 1.19  2006/01/23 17:56:21  sparky
- without directfb bcond

Revision 1.18  2006/01/14 17:45:13  sparky
- up to 0.9.9.023

Revision 1.17  2005/12/03 15:52:40  sparky
- no nead to use autotools, but CXX must no tb set

Revision 1.16  2005/12/03 14:18:07  sparky
- up to 0.9.9.022
- mmx/sse on %{x8664}

Revision 1.15  2005/11/30 13:59:26  charles
- updated to 0.9.9.021
- bcond static_libs

Revision 1.14  2005/11/20 01:21:31  sparky
- fixed %configure options

Revision 1.13  2005/11/20 00:52:57  sparky
- up to 0.9.9.020

Revision 1.12  2005/10/30 20:08:53  qboosh
- bcond header

Revision 1.11  2005/10/29 17:14:45  sparky
- separated library to subpackage

Revision 1.10  2005/10/11 22:21:34  charles
- updated to 0.9.9.019
- added -missing_m4.patch

Revision 1.9  2005/08/25 11:50:22  charles
- proper URL

Revision 1.8  2005/08/24 18:42:34  charles
- updated to 0.9.9.013
- new Source0 ("official" snapshots)

Revision 1.7  2005/07/10 07:17:59  sparky
- Source0: ftp -> http

Revision 1.6  2005/07/09 13:11:10  sparky
- new snap
- external vera fonts
- cairo output is abandoned
- status: builds, works well

Revision 1.5  2005/03/31 10:52:05  sparky
- cpu extensions default on (runtime detected)

Revision 1.4  2005/03/30 22:22:05  sparky
- updated to 20050329 snap

Revision 1.3  2005/01/08 11:02:51  sparky
- typo

Revision 1.2  2005/01/08 01:38:10  qboosh
- pl, unified

Revision 1.1  2005/01/07 19:38:22  sparky
- NEW EFL (E Fundation Libraries)
- builds well but still so much to do...
- anyone knows polish ?
